rule cdhit:
    input:
        fasta_file = rules.abyss_merge.output.merged_fasta
    output:
        fasta_file = f"{frangipane_obj.path_clustering}/all_clusters",
        cluster_file = f"{frangipane_obj.path_clustering}/all_clusters.clstr"
    log:
         error =  f"{frangipane_obj.path_logs}/clustering/cd_hit.e",
         output = f"{frangipane_obj.path_logs}/clustering/cd_hit.o"
    params:
        other_options = frangipane_obj.get_config_value("PARAMS","cd_hit"),
    message:
         f"""--------------------
-Running {{rule}}
|-- Input:
|   - Fasta : {{input.fasta_file}}
|-- Output:
|   - Fasta file: {{output.fasta_file}} 
|-- Others infos :
|   -LOG output: {{log.output}}
|   -Other options: {{params.other_options}}
--------------------
"""
    singularity:
        tools_config['SINGULARITY']['TOOLS']
    envmodules:
        tools_config["ENVMODULE"]["CD-HIT"]
    shell:
        """
        cmd='cd-hit-est {params.other_options} -i {input.fasta_file} -o {output.fasta_file} ' ; 
        echo $cmd > {log.output};
        ($cmd) 1>> {log.output} 2> {log.error};
        """