rule fastq_stats:
    input:
        fastq_file =f"{frangipane_obj.path_fastq}/{{fastq_file}}.fastq.gz"
    output:
        stat_file = f"{frangipane_obj.path_stat_fastq}/{{fastq_file}}.stats"
    log:
        output = f"{frangipane_obj.path_logs}/stats/{{fastq_file}}.o",
        error = f"{frangipane_obj.path_logs}/stats/{{fastq_file}}.e"
    message:
         f"""--------------------
-Running {{rule}}
|-- Input:
|   - Fastq dir : {{frangipane_obj.path_fastq}}
|-- Output:
|   - Fastq stat dir: {{frangipane_obj.path_stat_fastq}}
|-- Other infos:
|   - LOG output : {{log.output}}
--------------------
"""
    singularity:
        tools_config['SINGULARITY']['TOOLS']
    envmodules:
        tools_config["ENVMODULE"]["EA-UTILS"]
    shell:
     """
        cmd='fastq-stats -D {input.fastq_file} > {output.stat_file}' ;
        echo $cmd > {log.output};
        (fastq-stats -D {input.fastq_file}) 1> {output.stat_file} 2>> {log.error}"""

