rule plot_mapping:
    input:
        csv = rules.merge_flagstat.output.stat_file,
        group=f"{frangipane_obj.path_group}",
    output: 
        png_mapping=f"{frangipane_obj.path_stat_plot}/mapping_read_ratio-{frangipane_obj.reference_basename}.png",
    log:
        output = f"{frangipane_obj.path_logs}/report/plot_mapping.o",
        error = f"{frangipane_obj.path_logs}/report/plot_mapping.e"
    message:
         f"""--------------------
-Running {{rule}}
|-- Input:
|    - Stat file : {{input.csv}}
|-- Output:
|    - Plot : {{output.png_mapping}}
|-- Other infos:
|    - LOG output : {{log.output}} 
--------------------
"""
    run:
        gs.dashboard_flagstat(input.csv,input.group,output.png_mapping)